<!-- Andriy Andrusevych
IT Generation
Функція підняття до ступеню через рекурсію -->
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        function power(base, exponent) {
            if (exponent == 0)
                return 1;
            else
                return base * power(base, exponent - 1);
        }
        function calculatePower() {
            let operand1 = +prompt("Enter the number (base):");
            let operand2 = +prompt("Enter the exponent (power number):");
            let result = power(operand1, operand2);
            document.write("Result: " +operand1+"^"+operand2+" = " + result);
        }
        calculatePower();


    </script>
</body>

</html>